## org.apache.batik.css.parser
Class AbstractDescendantSelector

    java.lang.Object
      org.apache.batik.css.parser.AbstractDescendantSelector

All Implemented Interfaces:
  DescendantSelector, Selector

Direct Known Subclasses:
  DefaultChildSelector, DefaultDescendantSelector

public abstract class AbstractDescendantSelector
extends java.lang.Object
implements DescendantSelector

This class provides an abstract implementation of the `DescendantSelector` interface.

Field Summary
`protected Selector` `ancestorSelector` The ancestor selector.
`protected SimpleSelector` `simpleSelector` The simple selector.

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`protected` `AbstractDescendantSelector(Selector ancestor, SimpleSelector simple)` Creates a new DescendantSelector object.

Method Summary
`Selector` `getAncestorSelector()` SAC: Implements `DescendantSelector.getAncestorSelector()`.
`SimpleSelector` `getSimpleSelector()` SAC: Implements `DescendantSelector.getSimpleSelector()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Field Detail

### ancestorSelector

    protected Selector ancestorSelector

  The ancestor selector.

### simpleSelector

    protected SimpleSelector simpleSelector

  The simple selector.

Constructor Detail

### AbstractDescendantSelector

    protected AbstractDescendantSelector(Selector ancestor,
                                         SimpleSelector simple)

  Creates a new DescendantSelector object.

Method Detail

### getAncestorSelector

    public Selector getAncestorSelector()

  SAC: Implements `DescendantSelector.getAncestorSelector()`.

  Specified by:
    `getAncestorSelector` in interface `DescendantSelector`

### getSimpleSelector

    public SimpleSelector getSimpleSelector()

  SAC: Implements `DescendantSelector.getSimpleSelector()`.

  Specified by:
    `getSimpleSelector` in interface `DescendantSelector`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.